@import 'variables';

section.services {
    padding-top: 40px;
    padding-bottom: 40px;
    background-color: $servicesBG;
    min-height: fit-content;
    display: flex;
    flex-direction: column;
    li:nth-child(1) {
        margin-bottom: 40px;
    }
    @media screen and (min-width: $tablet) {
        padding-bottom: 28px;
        padding-top: 28px;
        ul {
            width: 100%;
            align-self: center;
            li {
                display: flex;
                justify-content: space-between;
                .services-element:last-child {
                    margin-right: 0;
                }
                &:last-child {
                    .services-element {
                        margin-bottom: 0;
                    }
                }
            }
        }
    }
    @media screen and (min-width: $sDesktop) {
        padding-top: 46px;
        padding-bottom: 46px;
    }
    @media screen and (min-width: $Desktop) {
        padding-top: 70px;
        padding-bottom: 70px;
    }
    .services-element {
        display: flex;
        align-items: center;
        margin-bottom: 40px;
        @media screen and (min-width: $tablet) {
            margin-bottom: 30px;
            width: 33%;
            margin-right: 44px;
        }
        @media screen and (min-width: $sDesktop) {
            margin-bottom: 46px;
            margin-right: 44px;
        }
        @media screen and (min-width: $sDesktop) {
            margin-bottom: 70px;
            margin-right: 44px;
        }
        @media screen and (max-width: $tablet) {
            &:last-child {
                margin-bottom: 0;
            }
        }
        svg {
            width: 50px;
            height: 50px;
            min-width: 50px;
            margin-right: 20px;
            @media screen and (min-width: $tablet) {
                width: 40px;
                height: 40px;
                margin-right: 10px;
                min-width: 40px;
            }
            @media screen and (min-width: $sDesktop) {
                width: 65px;
                height: 65px;
                min-width: 65px;
            }
            @media screen and (min-width: $Desktop) {
                width: 100px;
                min-width: 100px;
                height: 100px;
                margin-right: 15px;
            }
        }
        p {
            font-size: 4vw;
            color: #1b1b1b;
            font-weight: 500;
            @media screen and (min-width: $tablet) {
                font-size: 12px;
            }
            @media screen and (min-width: $sDesktop) {
                font-size: 13px;
            }
            @media screen and (min-width: $Desktop) {
                font-size: 20px;
            }
        }
    }
}
